Jak poprawnie usunąć GNOME w Ubuntu?


(Rosiak112) #1

Jak usunąć gnome z ubuntu ?


(Qba Lukaszczyk) #2
sudo apt-get remove gnome

Ew.

sudo apt-get remove gnome-core

Nie orientuję się na tą chwilę jak jest w Ubuntu.


(Rosiak112) #3

Najpierw dałem:

sudo apt-get autoremove gnome*

Ale zaczeło mi coś instalować, i nie wyrzuciło gnoma.

EdiT:

Jednak usuwa, ale nie wiem po co na sam poczatek zainstalowało 80mb programów.

EdiT:

No i czekala mnie reinstalacja systemu, czarny ekran byl podczas uruchamiania systemu, probowalem tez poprzez powloke wpisac startx, ale nie chcialo uruchomic.


(Qba Lukaszczyk) #4

A czego oczekiwałeś? Nie masz pewnie zainstalowanego nawet twm.

To nie jest żaden czarny ekran.

Wpisz np.

sudo apt-get install kde-core

(Rosiak112) #5

Miałem fluxboxa.

Chciałem żeby został tylko fluxbox, bo na co mi gnome skoro go nie używam. (A mam bardzo mało miejsca na dysku)

Ale dobra re-instalowałem system, może jakiś inny sposób na usunięcie gnome ?


(Qba Lukaszczyk) #6

Ten co napisałem... Tylko, że usunie Ci się wtedy gdm.

Dlatego zainstaluj np. slim lub lightDM.

Bez sensu reinstalowałeś...


(Rosiak112) #7

Działa tylko:

sudo apt-get autoremove gnome*

Czyli ten co wcześniej użyłem.

Żaden z twoich sposobów nie działa.

LightDM is a display manager

Ale mam xorg server, czy to jest jakas alternatywa tego serwera graficznego ?

Co to w ogóle jest i co to gdm o czym wspomniałeś ?

A no i wiem że w przypadku systemów innych niż windows reinstalacja to nie jest nigdy dobre wyjście.


(Qba Lukaszczyk) #8

Wayland... Ale jeszcze nie jest stabilny.

Chyba nie wiesz co to Xorg.

Dokładnie, jeszcze byś się czegoś nauczył. Zwłaszcza, że wyjście z tamtej sytuacji było bardzo proste.

GDM, to menedżer logowania. To, co wyświetla się jak wpisujesz hasło (chyba, że masz automatyczne logowanie).

Jest to część GNOME, więc jak usuniesz GNOME, to nie możesz się zalogować.

Zainstaluj LightDM i wtedy usuń GNOME.


(kondziu jah) #9

apt-get remove ubuntu-desktop


(Rosiak112) #10

Wiem co to xorg, nie wiedziałem tylko co to ten lightdm, ale skoro tak to czy nie da sie całkiem tego display managera pominąć, i ustawić żeby się nie włączał ten display manager, tylko żeby było do zalogowania w konsoli ?


(roobal) #11

http://ubuntu.pl/forum/viewtopic.php?f=141&t=42781

Usunie tylko pakiet ubuntu-desktop, zależności zostaną, a Gnome i tak będzie dalej działać.

Pozdrawiam!


(Rosiak112) #12

Na samym początku, jeszcze przed napisaniem tego tematu zajrzałem tam, ale niestety tamten sposób wyrzuca błąd:

Reading package lists... Done

Building dependency tree       

Reading state information... Done

Virtual packages like 'dbus-1-utils' can't be removed

Virtual packages like 'gaim' can't be removed

Virtual packages like 'gimp-print' can't be removed

Note, selecting 'gimp' instead of 'gimp-python'

Note, selecting 'software-center' instead of 'gnome-app-install'

Virtual packages like 'gnome-cups-manager' can't be removed

Virtual packages like 'gnome-games-data' can't be removed

Virtual packages like 'gnome-spell' can't be removed

Virtual packages like 'gnome-volume-manager' can't be removed

Note, selecting 'gnome-user-guide' instead of 'gnome2-user-guide'

Virtual packages like 'gtk2-engines-ubuntulooks' can't be removed

Virtual packages like 'human-cursors-theme' can't be removed

Note, selecting 'human-theme' instead of 'human-gtk-theme'

Virtual packages like 'libdjvulibre15' can't be removed

Note, selecting 'libestools1.2c102' for regex 'libestools1.2'

Note, selecting 'libestools1.2-dev' for regex 'libestools1.2'

Virtual packages like 'libglew1' can't be removed

Virtual packages like 'libgmime-2.0-2' can't be removed

Virtual packages like 'libgmime2.2-cil' can't be removed

Virtual packages like 'libgnome-speech3' can't be removed

Virtual packages like 'libgnome2.0-cil' can't be removed

Virtual packages like 'liblaunchpad-integration0' can't be removed

Virtual packages like 'libmetacity0' can't be removed

Virtual packages like 'libnspr4' can't be removed

Virtual packages like 'libnss3' can't be removed

Virtual packages like 'libopal-2.2.0' can't be removed

Note, selecting 'libpt-1.10.10-plugins-alsa' instead of 'libpt-plugins-alsa'

Note, selecting 'libpt-1.10.10-plugins-v4l' instead of 'libpt-plugins-v4l'

Note, selecting 'libpt-1.10.10-plugins-v4l2' instead of 'libpt-plugins-v4l2'

Virtual packages like 'mono-common' can't be removed

Virtual packages like 'mono-jit' can't be removed

Virtual packages like 'python-apport-utils' can't be removed

Virtual packages like 'python-gnome2-desktop' can't be removed

Virtual packages like 'python-gnome2-extras' can't be removed

Virtual packages like 'python-gtkhtml2' can't be removed

Virtual packages like 'python-xml' can't be removed

Virtual packages like 'xvncviewer' can't be removed

E: Unable to locate package contact-lookup-applet

E: Unable to locate package edgy-gdm-themes

E: Unable to locate package gaim-data

E: Unable to locate package gnome-keyring-manager

E: Unable to locate package gtkhtml3.8

E: Couldn't find any package by regex 'gtkhtml3.8'

E: Unable to locate package hal-device-manager

E: Unable to locate package hwdb-client-gnome

E: Unable to locate package libbeagle0

E: Unable to locate package libbtctl4

E: Unable to locate package libcamel1.2-8

E: Couldn't find any package by regex 'libcamel1.2-8'

E: Unable to locate package libcdio6

E: Unable to locate package libdbus-1-cil

E: Unable to locate package libedata-cal1.2-6

E: Couldn't find any package by regex 'libedata-cal1.2-6'

E: Unable to locate package libedataserver1.2-7

E: Couldn't find any package by regex 'libedataserver1.2-7'

E: Unable to locate package libeel2-2

E: Unable to locate package libeel2-data

E: Unable to locate package libegroupwise1.2-12

E: Couldn't find any package by regex 'libegroupwise1.2-12'

E: Unable to locate package libexchange-storage1.2-2

E: Couldn't find any package by regex 'libexchange-storage1.2-2'

E: Unable to locate package libgda2-3

E: Unable to locate package libgda2-common

E: Unable to locate package libgdl-1-0

E: Unable to locate package libgksu1.2-1

E: Couldn't find any package by regex 'libgksu1.2-1'

E: Unable to locate package libgksuui1.0-1

E: Couldn't find any package by regex 'libgksuui1.0-1'

E: Unable to locate package libgnome-desktop-2

E: Unable to locate package libgnomebt0

E: Unable to locate package libgnomecupsui1.0-1c2a

E: Couldn't find any package by regex 'libgnomecupsui1.0-1c2a'

E: Unable to locate package libgtkhtml2-0

E: Unable to locate package libgtkhtml3.8-15

E: Couldn't find any package by regex 'libgtkhtml3.8-15'

E: Unable to locate package libgucharmap5

E: Unable to locate package libkpathsea4

E: Unable to locate package libmyspell3c2

E: Unable to locate package liboobs-1-2

E: Unable to locate package libpisync0

E: Unable to locate package libpoppler1-glib

E: Unable to locate package libpt-1.10.0

E: Couldn't find any package by regex 'libpt-1.10.0'

E: Unable to locate package libsoup2.2-8

E: Couldn't find any package by regex 'libsoup2.2-8'

E: Unable to locate package libtotem-plparser1

E: Unable to locate package libwnck18

E: Unable to locate package libxevie1

E: Unable to locate package libxklavier11

E: Unable to locate package serpentine

E: Unable to locate package vnc-common

EdiT:

Dobra, mam pomysł.

Usune gnoma poleceniem sudo apt-get autoremove gnome*

I do .xinitrc dodam exec startfluxbox

-- Dodane 11.09.2011 (N) 11:04 --

Dobra, zainstalowalem tego slima, usunąłem wszystkie sesje i dodałem fluxbox, ale żeby się poprawnie zalogować to musze nacisnąć F1 i dopeiro sie zalogować, wtedy włączy się fluxbox, inaczej nic sie nie włączy.


(roobal) #13

Widocznie użyłeś starych wpisów, nie pamiętam dokładnie ale w tamtym wątku chyba ktoś podawał świeższe rozwiązanie.

Może po prostu wywal menedżer logowania i loguj się w konsoli, a Xserver i Fluxbox niech automatycznie startują po zalogowaniu się? Jak tego dokonać, poszukaj na stronie fluxboxpl.org, masz tam gotowe rozwiązanie.

Pozdrawiam!